<?php

use LaraBB\Torrent\UI\Web\Handlers\DownloadHandler;
use LaraBB\Torrent\UI\Web\Handlers\StoreHandler;
use LaraBB\Torrent\UI\Web\Handlers\UploadHandler;

Route::group([
    'prefix' => 'torrent'
], function() {
    Route::get('/{uuid?}', UploadHandler::class)->name('torrent.upload');
    Route::post('/', StoreHandler::class)->name('torrent.store');
    Route::get('download/{uuid}', DownloadHandler::class)->name('torrent.download');
});
